diff options
author | Dmytro Milinevskyy <milinevskyy@gmail.com> | 2010-06-16 23:22:40 +0300 |
---|---|---|
committer | Peter Korsgaard <jacmet@sunsite.dk> | 2010-07-18 23:08:55 +0200 |
commit | d9119c0bc55de95967b3de67be1fc49101a9d896 (patch) | |
tree | 4af1c4eaf3ab4f1c7a116fdc29d35df856247720 /target/generic/target_skeleton/etc/init.d/S20urandom | |
parent | ed0d45fdd4b140484d6488deabca69a9088a43ca (diff) | |
download | buildroot-novena-d9119c0bc55de95967b3de67be1fc49101a9d896.tar.gz buildroot-novena-d9119c0bc55de95967b3de67be1fc49101a9d896.zip |
move default skeleton to fs/ and drop busybox skeleton
[Peter: fixup patch, adjust for busybox.mk changes]
Signed-off-by: Dmytro Milinevskyy <milinevskyy@gmail.com>
Acked-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'target/generic/target_skeleton/etc/init.d/S20urandom')
-rwxr-xr-x | target/generic/target_skeleton/etc/init.d/S20urandom | 54 |
1 files changed, 0 insertions, 54 deletions
diff --git a/target/generic/target_skeleton/etc/init.d/S20urandom b/target/generic/target_skeleton/etc/init.d/S20urandom deleted file mode 100755 index f73cea59e..000000000 --- a/target/generic/target_skeleton/etc/init.d/S20urandom +++ /dev/null @@ -1,54 +0,0 @@ -#! /bin/sh -# -# urandom This script saves the random seed between reboots. -# It is called from the boot, halt and reboot scripts. -# -# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl -# - -[ -c /dev/urandom ] || exit 0 -#. /etc/default/rcS - -case "$1" in - start|"") - if [ "$VERBOSE" != no ] - then - echo -n "Initializing random number generator... " - fi - # Load and then save 512 bytes, - # which is the size of the entropy pool - if [ -f /etc/random-seed ] - then - cat /etc/random-seed >/dev/urandom - fi - # check for read only file system - if ! touch /etc/random-seed 2>/dev/null - then - echo "read-only file system detected...done" - exit - fi - rm -f /etc/random-seed - umask 077 - dd if=/dev/urandom of=/etc/random-seed count=1 \ - >/dev/null 2>&1 || echo "urandom start: failed." - umask 022 - [ "$VERBOSE" != no ] && echo "done." - ;; - stop) - if ! touch /etc/random-seed 2>/dev/null - then - exit - fi - # Carry a random seed from shut-down to start-up; - # see documentation in linux/drivers/char/random.c - [ "$VERBOSE" != no ] && echo -n "Saving random seed... " - umask 077 - dd if=/dev/urandom of=/etc/random-seed count=1 \ - >/dev/null 2>&1 || echo "urandom stop: failed." - [ "$VERBOSE" != no ] && echo "done." - ;; - *) - echo "Usage: urandom {start|stop}" >&2 - exit 1 - ;; -esac |